## org.mortbay.cometd
Class MessageImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              org.mortbay.cometd.MessageImpl

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, org.cometd.Message, JSON.Generator

    public class MessageImpl

extends HashMap<String,Object>
implements org.cometd.Message, JSON.Generator

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`MessageImpl()`
`MessageImpl(MessagePool bayeux)`

Method Summary
`void` `addJSON(StringBuffer buffer)`
`void` `clear()`
`void` `decRef()`
`Set<Map.Entry<String,Object>>` `entrySet()`
`org.cometd.Message` `getAssociated()`
`ByteBuffer` `getBuffer()`
`String` `getChannel()`
`String` `getClientId()`
`Object` `getData()`
`String` `getId()`
`String` `getJSON()`
`int` `getRefs()`
`void` `incRef()`
`Set<String>` `keySet()`
`Object` `put(String key, Object value)`
`void` `putAll(Map<? extends String,? extends Object> m)`
`Object` `remove(Object key)`
`void` `setAssociated(org.cometd.Message associated)`
`void` `setBuffer(ByteBuffer buffer)`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, get, isEmpty, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size, values`

Constructor Detail

### MessageImpl

    public MessageImpl()

### MessageImpl

    public MessageImpl(MessagePool bayeux)

Method Detail

### getRefs

    public int getRefs()

### incRef

    public void incRef()

### decRef

    public void decRef()

### getChannel

    public String getChannel()

  Specified by:
    `getChannel` in interface `org.cometd.Message`

### getClientId

    public String getClientId()

  Specified by:
    `getClientId` in interface `org.cometd.Message`

### getId

    public String getId()

  Specified by:
    `getId` in interface `org.cometd.Message`

### getData

    public Object getData()

  Specified by:
    `getData` in interface `org.cometd.Message`

### addJSON

    public void addJSON(StringBuffer buffer)

  Specified by:
    `addJSON` in interface `JSON.Generator`

### getJSON

    public String getJSON()

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,Object>`
  Overrides:
    `clear` in class `HashMap<String,Object>`

### put

    public Object put(String key,
                      Object value)

  Specified by:
    `put` in interface `Map<String,Object>`
  Overrides:
    `put` in class `HashMap<String,Object>`

### putAll

    public void putAll(Map<? extends String,? extends Object> m)

  Specified by:
    `putAll` in interface `Map<String,Object>`
  Overrides:
    `putAll` in class `HashMap<String,Object>`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map<String,Object>`
  Overrides:
    `remove` in class `HashMap<String,Object>`

### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,Object>`
  Overrides:
    `entrySet` in class `HashMap<String,Object>`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,Object>`
  Overrides:
    `keySet` in class `HashMap<String,Object>`

### getAssociated

    public org.cometd.Message getAssociated()

  Specified by:
    `getAssociated` in interface `org.cometd.Message`

### setAssociated

    public void setAssociated(org.cometd.Message associated)

### setBuffer

    public void setBuffer(ByteBuffer buffer)

  Parameters:
    `buffer` - A cached buffer containing HTTP response headers and message content, to be reused when sending one message to multiple clients

### getBuffer

    public ByteBuffer getBuffer()

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.